Package org.eclipse.jdt.ui.text.java

# Interface ISemanticTokensProvider

public interface ISemanticTokensProvider
Computes semantic tokens contributed to the Java source editor via extension point `semanticTokens`

Since:
  3.34

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final record`
`ISemanticTokensProvider.SemanticToken`
`static enum`
`ISemanticTokensProvider.TokenType`

## Method Summary

Modifier and Type
Method
Description
`Collection<ISemanticTokensProvider.SemanticToken>`
`computeSemanticTokens(CompilationUnit ast)`

## Method Details

### computeSemanticTokens

Collection<ISemanticTokensProvider.SemanticToken> computeSemanticTokens(CompilationUnit ast)